tensorflow-gpu与CUDA、CUDNN的版本问题

折腾了将近两天的时间,终于搞好了,感觉把所有的坑都踩过了一遍。。。。。泪牛满面
1、先安装CUDA,并安装,尽量不要下载最新版本的,坑,本机可以下载最新本10.0版本,但与CUDNN和tensorflow不兼容,后退到9.0版本又与电脑不兼容,只能再次下载8.0版本。再次泪牛满面。。。
2、注册NVIDIA账号并下载CUDNN,这里是6.0版本的,可以与CUDA8.0搭配使用。
3、重点是tensorflow-GPU的版本,1.4.0,我是采用控制变量法,一个一个试的,操操操操操。。。。。
但是结果是ok的。
这里我并没有采用anaconda来安装,只是在windows中新建虚拟环境而已,在虚拟环境里面来安装相应的软件,效果一样的。。。。。。。实则anaconda真不好用。
以上。。。。。。。。。。。。。。。。。。。。

posted @ 2019-01-11 16:29 有球必硬 阅读(...) 评论(...) 编辑 收藏